strip(1)

NAZWA
strip - Usuń symbole z plików obiektowych

SKŁADNIA

strip
    [-F bfdname | --target=bfdname] [-I bfdname | --input-target=bfdname] [-O bfdname | --output-target=bfdname] [-R sectionname | --remove-section=sectionname] [-s | --strip-all] [-S | -g | --strip-debug] [--strip-unneeded] [-x | --discard-all] [-X | --discard-locals] [-K symbolname | --keep-symbol=symbolname] [-N symbolname | --strip-symbol=symbolname] [-o fileR] [-v | --verbose] [-V | --version] [-V | --help] objfile ...

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

GNU strip usuwa wszystkie symbole z plików obiektowych objfile. Lista plików obiektowych może zawierać archiwa. Podany musi być przynajmniej jeden plik obiektowy.

strip modyfikuje pliki podane w argumencie--nie zapisuje zmodyfikowanych kopii pod innymi nazwami.

OPCJE

-F bfdname

--target=bfdname
    Traktuj oryginalny objfile jak plik obiektowy w formacie bfdname, i zapisz go w tym samym formacie.

--help
    Wydrukuj zestawienie opcji strip i zakończ.

-I bfdname

--input-target=bfdname
    Traktuj oryginalny objfile jako plik o formacie kodu obiektowego bfdname.

-O bfdname

--output-target=bfdname
    Zamień objfile plikiem w formacie wyjściowym bfdname.

-R sectionname

--remove-section=sectionname
    Usuń nazwaną sekcję z pliku. Opcja ta może być podana więcej niż raz. Zauważ, że jej nieodpowiednie używanie może spowodować, że plik obiektowy będzie bezużyteczny.

-s

--strip-all
    Usuń wszystkie symbole.

-S

-g

--strip-debug
    Usuń tylko symbole debuggowe.

--strip-unneeded
    Usuń wszystkie symbole, które nie są potrzebne do przetwarzania relokacji.

-N symbolname

--strip-symbol=symbolname
    Usuń symbol symbolname z pliku źródłowego. Opcja ta może być podana więcej niż jeden raz i może być łączona z innymi opcjami usuwania.

-o file
    Umieść ogołocone wyjście w file, a nie zamieniaj istniejącego pliku. Z tym argumentem, podany może być tylko jeden argument objfile.

-x

--discard-all
    Usuń symbole nieglobalne.

-X

--discard-locals
    Usuń generowane przez kompilator symbole lokalne. (Zaczynają się zwykle od ``L'' lub ``.''.)

-K symbolname, --keep-symbol=symbolname
    Z pliku źródłowego kopiuj tylko symbol symbolname. Opcja ta może być podawana więcej niż jeden raz.

-N symbolname, --strip-symbol=symbolname
    Nie kopiuj symbolu symbolname z pliku źródłowego. Opcja ta może być podawana więcej niż raz i łączona z innymi opcjami usuwania, poza -K.

-v

--verbose
    Gadatliwe wyjście: listuj wszystkie zmodyfikowane pliki obiektowe. W wypadku archiwów, strip -V listuje wszystkich członków archiwum.

-V

--version
    Podaj wersję strip i zakończ.

ZOBACZ TAKŻE
Opis `binutils' w info; The GNU Binary Utilities, Roland H. Pesch (October 1991).

KOPIOWANIE
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 strip

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.